#!/usr/bin/perl
# $Id: create_vsite_services.pl,v 1.2 Wed 13 Aug 2008 02:40:49 PM EDT
# Copyright 2006-2008 Solarspeed Ltd., All rights reserved.
#
# create_vsite_services.pl
# Creates required objects used to register services.

use lib qw(/usr/sausalito/perl);
use CCE;

my $cce = new CCE;

$cce->connectuds();

# make sure the VserverServices object exists
if (not scalar($cce->find('VserverServices')))
{
	my ($ok) = $cce->create('VserverServices');

	if (not $ok)
	{
		$cce->bye('FAIL', 'System object VserverServices does not exist!');
		exit(1);
	}
}

# make sure the VserverMasterNode object exists
if (not scalar($cce->find('VserverMasterNode')))
{
	my ($ok) = $cce->create('VserverMasterNode');

	if (not $ok)
	{
		$cce->bye('FAIL', 'System object VserverMasterNode does not exist!');
		exit(1);
	}
}

$cce->bye('SUCCESS');
exit(0);

